CentOS7系统中执行yum命令提示软件包冲突问题解决

开年第一天,回到公司,上测试服务器看看,看看有没有更新,顺手yum update了一把,发现一堆的报错,报错如图:
centos-7-yum-command-conflict-resolve

开机200多天,也不知道执行了什么操作,只要运行yum命令,开头就是这个:

错误:systemd conflicts with dracut-033-463.el7_3.2.x86_64
您可以尝试添加 --skip-broken 选项来解决该问题 ** 发现 108 个已存在的 RPM 数据库问题, 'yum check' 输出如下:
...

试了提示给的命令,yum-complete-transaction –cleanup-only,发现并不起作用,最后放狗搜了一波,找到一个命令,试了下,完美解决:

package-cleanup --cleandupes

期间需要确认一下,会把一些包给删除掉。

运行完成之后,再次运行yum命令就没问题了。

发表评论

邮箱地址不会被公开。 必填项已用*标注